VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::OvfSummary Class Reference

The `LibraryItem.OvfSummary` class defines the result of the `Filter` method. More...

List of all members.

## Public Member Functions
| OvfSummary ()
| Creates a default new instance.
string | GetName ()
| Default name for the virtual machine or virtual appliance.
void | SetName (string name)
| Default name for the virtual machine or virtual appliance.
string | GetAnnotation ()
| Default annotation for the virtual machine or virtual appliance.
void | SetAnnotation (string annotation)
| Default annotation for the virtual machine or virtual appliance.
global::System.Collections.Generic.List < string > | GetEULAs ()
| End User License Agreements specified in the OVF descriptor.
void | SetEULAs (global::System.Collections.Generic.List< string > eULAs)
| End User License Agreements specified in the OVF descriptor.
global::System.Collections.Generic.List < string > | GetNetworks ()
| Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor.
void | SetNetworks (global::System.Collections.Generic.List< string > networks)
| Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor.
global::System.Collections.Generic.List < string > | GetStorageGroups ()
| Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor.
void | SetStorageGroups (global::System.Collections.Generic.List< string > storageGroups)
| Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor.
global::System.Collections.Generic.List < vmware.vapi.bindings.IStructure > | GetAdditionalParams ()
| Additional OVF parameters which can be specified for the deployment target.
void | SetAdditionalParams (global::System.Collections.Generic.List< vmware.vapi.bindings.IStructure > additionalParams)
| Additional OVF parameters which can be specified for the deployment target.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.OvfSummary` class defines the result of the `Filter` method.

See LibraryItem.Filter . The fields in the class describe parameterizable information in the OVF descriptor, with respect to a deployment target, for the `Deploy` method. See LibraryItem.Deploy .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::OvfSummary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.bindings.IStructure> vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetAdditionalParams | ( |  | ) | `[inline]`

Additional OVF parameters which can be specified for the deployment target.

These OVF parameters can be inspected, optionally modified, and used as values in LibraryItem.ResourcePoolDeploymentSpec.additionalParameters for the `Deploy` method. When clients pass a value of this class as a parameter, the field must contain all the attributes defined in OvfParams . When methods return a value of this class as a result, the field will contain all the attributes defined in OvfParams .

string vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetAnnotation | ( |  | ) | `[inline]`

Default annotation for the virtual machine or virtual appliance.

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetEULAs | ( |  | ) | `[inline]`

End User License Agreements specified in the OVF descriptor.

All end user license agreements must be accepted in order for the `Deploy` method to succeed. See LibraryItem.ResourcePoolDeploymentSpec.acceptAllEULA .

override int vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetName | ( |  | ) | `[inline]`

Default name for the virtual machine or virtual appliance.

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetNetworks | ( |  | ) | `[inline]`

Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor.

These identifiers can be used as keys in LibraryItem.ResourcePoolDeploymentSpec.networkMappings .

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::GetStorageGroups | ( |  | ) | `[inline]`

Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor.

These identifiers can be used as keys in LibraryItem.ResourcePoolDeploymentSpec.storageMappings .

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetAdditionalParams | ( | global::System.Collections.Generic.List< vmware.vapi.bindings.IStructure > | additionalParams | ) | `[inline]`

Additional OVF parameters which can be specified for the deployment target.

These OVF parameters can be inspected, optionally modified, and used as values in LibraryItem.ResourcePoolDeploymentSpec.additionalParameters for the `Deploy` method. When clients pass a value of this class as a parameter, the field must contain all the attributes defined in OvfParams . When methods return a value of this class as a result, the field will contain all the attributes defined in OvfParams .

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetAnnotation | ( | string | annotation | ) | `[inline]`

Default annotation for the virtual machine or virtual appliance.

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetEULAs | ( | global::System.Collections.Generic.List< string > | eULAs | ) | `[inline]`

End User License Agreements specified in the OVF descriptor.

All end user license agreements must be accepted in order for the `Deploy` method to succeed. See LibraryItem.ResourcePoolDeploymentSpec.acceptAllEULA .

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetName | ( | string | name | ) | `[inline]`

Default name for the virtual machine or virtual appliance.

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetNetworks | ( | global::System.Collections.Generic.List< string > | networks | ) | `[inline]`

Section identifiers for sections of type ovf:NetworkSection in the OVF descriptor.

These identifiers can be used as keys in LibraryItem.ResourcePoolDeploymentSpec.networkMappings .

void vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::SetStorageGroups | ( | global::System.Collections.Generic.List< string > | storageGroups | ) | `[inline]`

Section identifiers for sections of type vmw:StorageGroupSection in the OVF descriptor.

These identifiers can be used as keys in LibraryItem.ResourcePoolDeploymentSpec.storageMappings .

override string vmware::vcenter::ovf::LibraryItemTypes::OvfSummary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs